<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <p>hola</p>
    <label for="">Introduzca un valor: </label>

    <input type="number" class="numero">
    <button type="button" class="pintar">Pintar</button>
    <button type="button" class="reset">Reset</button>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"
        integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8=" crossorigin="anonymous"></script>
    <script>

        // cuando pulsamos el boton pintar
        $('.pintar').click(function () {
            // iteramos para cada párrafo
            $('p').each(function (indice, valor) {
                // Guardamos el valor introducido por el usuario
                // Usando JavaScritp puro
                //let valorInput = document.querySelector('.numero').value;
                // Usando Jquery
                let valorInput = $('.numero').val();
                // Si el indice es menor que el valor introducido pinta el párrafo
                if (indice < valorInput) {
                    $(this).css("color", "red");
                }

            });
        });
        // Si hago click en reset
        $('.reset').click(function () {
            // iteramos para cada párrafo
            $('p').each(function (indice, valor) {
                // Pintamos todos los parrafos de negros
                $('p').css("color", "black");
            });
        });



    </script>
</body>

</html>